<!--
     Copyright (C) 2017 The LineageOS Project
     Copyright (C) 2017 The DotOS Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<resources>
    <!-- Power menu -->
    <string-array translatable="false" name="config_custom_globalActionsList">
        <item>power</item>
        <item>restart</item>
        <item>advanced</item>
        <item>screenshot</item>
        <item>airplane</item>
    </string-array>

    <!-- Older rotation sensors are not setting event.timestamp correctly. Setting to
         true will use SystemClock.elapsedRealtimeNanos() to set timestamp. -->
    <bool name="config_useSystemClockforRotationSensor">false</bool>

    <!-- Whether to persist the notification for when a usb drive device is plugged in -->
    <bool name="config_persistUsbDriveNotification">false</bool>

    <!-- Full screen aspect ratio -->
    <bool name="config_haveHigherAspectRatioScreen">false</bool>
    <item name="config_screenAspectRatio" format="float" type="dimen">2.1</item>
	
	
    <!-- Certain sensor firmwares break with having a batch
         size set. By setting this to false, devices can opt
         out of setting a batch size, which fixes rotation. -->
    <bool name="config_useDefaultBatchingForAccel">true</bool>

    <!-- Default value for proximity check on screen wake
         NOTE ! - Enable for devices that have a fast response proximity sensor (ideally < 300ms)
    -->
    <bool name="config_proximityCheckOnWake">false</bool>
    <integer name="config_proximityCheckTimeout">250</integer>
    <bool name="config_proximityCheckOnWakeEnabledByDefault">false</bool>

    <!-- True if the gesture service should be started at system start -->
    <bool name="config_enableGestureService">false</bool>
	
	<!-- Is the battery LED intrusive? Used to decide if there should be a disable option -->
    <bool name="config_intrusiveBatteryLed">true</bool>

    <!-- Does the battery LED support multiple colors?
         Used to decide if the user can change the colors -->
    <bool name="config_multiColorBatteryLed">true</bool>

    <!-- Do the battery/notification LEDs support pulsing?
         Used to decide if we show pulse settings -->
    <bool name="config_ledCanPulse">true</bool>

    <!-- Whether notify fingerprint client of successful cancelled authentication -->
    <bool name="config_notifyClientOnFingerprintCancelSuccess">false</bool>

    <!-- The list of vendor package signatures that should also be considered
         platform signatures, specifically for use on devices with a vendor partition. -->
    <string-array name="config_vendorPlatformSignatures">
    </string-array>

    <!-- Ambient music -->
    <bool name="config_canForceDozeNotifications">true</bool>

    <bool name="config_allowNotificationIconTextTinting">true</bool>

    <!-- True if the notification's dynamic app icon/title tint should be optimised for dark
    backgrounds (requires config_allowNotificationIconTextTinting to be true)-->
    <bool name="config_useDarkBgNotificationIconTextTinting">false</bool>

    <!-- for notification overlays to force what they need -->
    <bool name="config_useDarkBgNotificationTinting_override">false</bool>
    <bool name="config_notificationTinting_override">false</bool>

    <!-- If this is true, key chords can be used to take a screen record on the device. -->
    <bool name="config_enableScreenrecordChord">true</bool>

    <!-- Hardware keys present on the device, stored as a bit field.
         This integer should equal the sum of the corresponding value for each
         of the following keys present:
             1 - Home
             2 - Back
             4 - Menu
             8 - Assistant (search)
            16 - App switch
            32 - Camera
            64 - Volume rocker
         For example, a device with Home, Back and Menu keys would set this
         config to 7. -->
    <integer name="config_deviceHardwareKeys">64</integer>
    <bool name="config_button_brightness_support">false</bool>
    <integer name="config_button_brightness_default">128</integer>

    <!-- Whether device has dash charging support -->
    <bool name="config_hasDashCharger">false</bool>

    <!-- Whether device has turbo power charging support -->
    <bool name="config_hasTurboPowerCharger">false</bool>

    <!-- Any package that has one of the package names defined below will be prevented
         from using specific sensors in order to stop battery drain -->
    <string-array name="config_blockPackagesSensorDrain">
        <item>com.whatsapp</item>
        <item>com.gbwhatsapp</item>
        <item>com.yowhatsapp</item>
        <item>com.whatsapp.plus</item>
        <item>org.telegram.messenger</item>
        <item>org.telegram.messenger.plus</item>
        <item>org.thunderdog.challegram</item>
        <item>com.snapchat.android</item>
        <item>com.facebook.orca</item>
        <item>com.facebook.katana</item>
        <item>com.Slack</item>
        <item>com.snapchat.android</item>
    </string-array>

    <!-- Whether the device requires overlays to be in /system/overlay -->
    <bool name="config_hasSystemOverlayPath">false</bool>
	
	<!-- The second metric to be used for antenna bar display for LTE
         The metrics to be used for Antenna display is based on RSRP and either one of the
           0. RSSNR
           1. RSRQ
    -->
    <integer name="config_LTE_antenna_bar_quantity_metric">0</integer>

    <!-- Flag indicating whether strict threshold is used, or lenient threshold is used,
          when evaluating RSRP for LTE antenna bar display
           0. Strict threshold
           1. Lenient threshold
    -->
    <integer name="config_LTE_RSRP_threshold_type">0</integer>
	
	<!-- display for radio tech -->
    <bool name="config_display_rat">true</bool>

    <!-- config 2G/3G/4G RAT strings for carriers -->
    <string name="config_rat_unknown" translatable="false">""</string>
    <string name="config_rat_2g" translatable="false">2G</string>
    <string name="config_rat_3g" translatable="false">3G</string>
    <string name="config_rat_4g" translatable="false">4G</string>
	
	<!-- Whether the device supports Smart Pixels -->
    <bool name="config_enableSmartPixels">false</bool>

</resources>
